import request from '@/utils/request'

// 查询细分类别信息列表
export function listSubdivision(query) {
    return request({
        url: '/system/subdivision/list',
        method: 'get',
        params: query
    })
}

// 查询细分类别信息详细
export function getSubdivision(id) {
    return request({
        url: '/system/subdivision/' + id,
        method: 'get'
    })
}

// 新增细分类别信息
export function addSubdivision(data) {
    return request({
        url: '/system/subdivision',
        method: 'post',
        data: data
    })
}

// 修改细分类别信息
export function updateSubdivision(data) {
    return request({
        url: '/system/subdivision',
        method: 'put',
        data: data
    })
}

// 删除细分类别信息
export function delSubdivision(id) {
    return request({
        url: '/system/subdivision/' + id,
        method: 'delete'
    })
}
